Levels
Get User Level
Get a user's level data in a guild
GET
Get a user's level data in a guild
apiKeyheader
X-Api-Key<token>The user's API key to authenticate requests
guildId*SnowflakeA Discord snowflake identifier
Match
^[1-9]\d+$Length
17 <= length <= 19userId*SnowflakeA Discord snowflake identifier
Match
^[1-9]\d+$Length
17 <= length <= 19Default Response
application/json- response
level*user*This data might not always be up to date
curl -X GET 'https://api.lurkr.gg/v2/levels/stringstringstrin/users/stringstringstrin'Example Response200
{ "level": { "lastUpdated": "2019-08-24T14:15:22Z", "level": 0, "messageCount": 0, "rank": 1, "xp": 0 }, "user": { "avatar": "stringstringstringstringstringst", "discriminator": "strin", "globalName": "string", "username": "string" }}